package com.keao.edu.user.api.entity;

import java.util.Date;

/**
 * 对应数据库表(teacher_attendance):
 */
public class TeacherAttendance {

	private Long id;
	
	/**  */
	private Integer teacherId;
	
	/** 考场 */
	private Long examRoomId;

	/** 课程计划 */
	private Long examinationBasicId;
	
	/** 签到时间 */
	private java.util.Date signInTime;

	/** 签退时间 */
	private java.util.Date signOutTime;

	/**  */
	private java.util.Date createTime;

	public Date getSignOutTime() {
		return signOutTime;
	}

	public void setSignOutTime(Date signOutTime) {
		this.signOutTime = signOutTime;
	}

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Integer getTeacherId() {
		return teacherId;
	}

	public void setTeacherId(Integer teacherId) {
		this.teacherId = teacherId;
	}

	public Long getExamRoomId() {
		return examRoomId;
	}

	public void setExamRoomId(Long examRoomId) {
		this.examRoomId = examRoomId;
	}

	public Long getExaminationBasicId() {
		return examinationBasicId;
	}

	public void setExaminationBasicId(Long examinationBasicId) {
		this.examinationBasicId = examinationBasicId;
	}

	public Date getSignInTime() {
		return signInTime;
	}

	public void setSignInTime(Date signInTime) {
		this.signInTime = signInTime;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
}
